import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeDatePanelComponent from "./src/date-panel.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeDatePanel = Object.assign({}, VxeDatePanelComponent, {
  install(app) {
    app.component(VxeDatePanelComponent.name, VxeDatePanelComponent);
  }
});
dynamicApp.use(VxeDatePanel);
VxeUI.component(VxeDatePanelComponent);
const DatePanel = VxeDatePanel;
export {
  DatePanel,
  VxeDatePanel,
  VxeDatePanel as default
};
